    Return the systematic error on the dependent axis of a data set.

get_syserror(id=None, filter=False, bkg_id=None)
id - int or str, optional
filter - bool, optional
bkg_id - int or str, optional

The function returns the systematic errors on the values (dependenent axis) of a data set, or its background. It is an error if called on a data set with no systematic errors (which are set with `set_syserror` ).

Return the systematic error for the default data set:

>>> yerr = get_syserror()

Return an array that has been filtered to match the data:

>>> yerr = get_syserror(filter=True)

Return the filtered errors for data set "core":

>>> yerr = get_syserror("core", filter=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
filter
Should the filter attached to the data set be applied to the return value or not. The default is False .
bkg_id
Set if the values returned should be from the given background component, instead of the source data set.

The return value from this function is:

syserrors -- The systematic error for each data point. The size of this array depends on the `filter` argument.

Notes

The default behavior is to not apply any filter defined on the independent axes to the results, so that the return value is for all points (or bins) in the data set. Set the `filter` argument to `True` to apply this filter.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023